##########################################
#  libfat12fs - FAT12 filesystem plugin  #
##########################################

TEMPLATE = lib
CONFIG += plugin
INCLUDEPATH += ../include

### Build Mode stuff
#CONFIG += debug_and_release

CONFIG(debug, debug|release) {
    TARGET = $$join(TARGET,,,d)
    DEFINES += _DIMG_DEBUG
    win32:PREFIX = C:\temp\dimg
    unix:PREFIX = /tmp/dimg
}

# Target directories
debug:DESTDIR = ../debug
release:DESTDIR = ../release

RC_FILE = fat12fs.rc

# Generate install target
unix {
    isEmpty(PREFIX) {
        PREFIX = /opt/dimg
    }
}
win32 {
    isEmpty(PREFIX) {
        PREFIX = C:/dimg
    }
}

target.path = $$PREFIX/bin
INSTALLS += target

# Headers
HEADERS += fat12.h
HEADERS += fat12fs.h
HEADERS += fat12entry.h
HEADERS += winutils.h
HEADERS += about_dialog.h
HEADERS += fat12_bpb.h
HEADERS += fat12_directory.h
HEADERS += fat12_direntry.h
HEADERS += fat12_fat.h
HEADERS += utils.h

# Sources
SOURCES += fat12.cpp
SOURCES += fat12fs.cpp
SOURCES += fat12entry.cpp
SOURCES += winutils.cpp
SOURCES += about_dialog.cpp
SOURCES += fat12_bpb.cpp
SOURCES += fat12_directory.cpp
SOURCES += fat12_direntry.cpp
SOURCES += fat12_fat.cpp
SOURCES += utils.cpp

# Forms
FORMS += about.ui

# For getting windows file icons, we need to link against GDI32 to use the
# Shell API.
win32:LIBS += libgdi32
